Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd.cppast
Class CPPParserTokenManager

    java.lang.Object
      net.sourceforge.pmd.cpd.cppast.CPPParserTokenManager

All Implemented Interfaces:
  CPPParserConstants

    public class CPPParserTokenManager

extends java.lang.Object
implements CPPParserConstants

Token Manager.

Field Summary
`protected static char` | `curChar`
`static java.io.PrintStream` | `debugStream` Debug output.
`protected static SimpleCharStream` | `input_stream`
`static int[]` | `jjnewLexState` Lex State array.
`static java.lang.String[]` | `jjstrLiteralImages` Token literal values.
`static java.lang.String[]` | `lexStateNames` Lexer state names.

Fields inherited from interface net.sourceforge.pmd.cpd.cppast.CPPParserConstants
`_DEFAULT, AMPERSAND, AND, ARROWSTAR, ASSIGNEQUAL, AUTO, BITWISEANDEQUAL, BITWISEOR, BITWISEOREQUAL, BITWISEXOR, BITWISEXOREQUAL, BREAK, CASE, CATCH, CHAR, CHARACTER, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMALINT, DECIMALLONG, DEFAULT, DELETE, DIVIDE, DIVIDEEQUAL, DO, DOT, DOTSTAR, DOUBLE, ELLIPSIS, ELSE, ENUM, EOF, EQUAL, EXTERN, FALSETOK, FLOAT, FLOATONE, FLOATTWO, FOR, FRIEND, GOTO, GREATERTHAN, GREATERTHANOREQUALTO, HEXADECIMALINT, HEXADECIMALLONG, ID, IF, IN_COMMENT, IN_LINE_COMMENT, IN_PREPROCESSOR_OUTPUT_COMMENT, INLINE, INT, LCURLYBRACE, LESSTHAN, LESSTHANOREQUALTO, LONG, LPARENTHESIS, LSQUAREBRACKET, MINUS, MINUSEQUAL, MINUSMINUS, MOD, MODEQUAL, NEW, NOT, NOTEQUAL, OCTALINT, OCTALLONG, OPERATOR, OR, PLUS, PLUSEQUAL, PLUSPLUS, POINTERTO, PREPROCESSOR_OUTPUT, PRIVATE, PROTECTED, PUBLIC, QUESTIONMARK, RCURLYBRACE, REDECLARED, REGISTER, RETURN, RPARENTHESIS, RSQUAREBRACKET, SCOPE, SEMICOLON, SHIFTLEFT, SHIFTLEFTEQUAL, SHIFTRIGHT, SHIFTRIGHTEQUAL, SHORT, SIGNED, SIZEOF, STAR, STATIC, STRING, STRUCT, SWITCH, TEMPLATE, THIS, THROW, TILDE, TIMESEQUAL, tokenImage, TRUETOK, TRY, TYPEDEF, UNION, UNSIGNED, UNSIGNED_DECIMALINT, UNSIGNED_DECIMALLONG, UNSIGNED_HEXADECIMALINT, UNSIGNED_HEXADECIMALLONG, UNSIGNED_OCTALINT, UNSIGNED_OCTALLONG, VIRTUAL, VOID, VOLATILE, WHILE`

Constructor Summary
`CPPParserTokenManager(SimpleCharStream stream)` Constructor.
`CPPParserTokenManager(SimpleCharStream stream, int lexState)` Constructor.

Method Summary
`static java.lang.String` | `getFileName()`
`static Token` | `getNextToken()` Get the next Token.
`protected static Token` | `jjFillToken()`
`static void` | `ReInit(SimpleCharStream stream)` Reinitialise parser.
`static void` | `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
`static void` | `setDebugStream(java.io.PrintStream ds)` Set debug output.
`static void` | `setFileName(java.lang.String name)`
`static void` | `SwitchTo(int lexState)` Switch to specified lex state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public static java.io.PrintStream debugStream

  Debug output.

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

  Token literal values.

### lexStateNames

    public static final java.lang.String[] lexStateNames

  Lexer state names.

### jjnewLexState

    public static final int[] jjnewLexState

  Lex State array.

### input_stream

    protected static SimpleCharStream input_stream

### curChar

    protected static char curChar

Constructor Detail

### CPPParserTokenManager

    public CPPParserTokenManager(SimpleCharStream stream)

  Constructor.

### CPPParserTokenManager

    public CPPParserTokenManager(SimpleCharStream stream,
                                 int lexState)

  Constructor.

Method Detail

### setFileName

    public static void setFileName(java.lang.String name)

### getFileName

    public static java.lang.String getFileName()

### setDebugStream

    public static void setDebugStream(java.io.PrintStream ds)

  Set debug output.

### ReInit

    public static void ReInit(SimpleCharStream stream)

  Reinitialise parser.

### ReInit

    public static void ReInit(SimpleCharStream stream,
                              int lexState)

  Reinitialise parser.

### SwitchTo

    public static void SwitchTo(int lexState)

  Switch to specified lex state.

### jjFillToken

    protected static Token jjFillToken()

### getNextToken

    public static Token getNextToken()

  Get the next Token.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.